SQ(1)

NAME
sq packet decrypt - Unwrap an encryption container

SYNOPSIS
sq packet decrypt [OPTIONS] FILE

DESCRIPTION
Unwrap an encryption container.

Decrypts a message, dumping the content of the encryption container without further processing. The result is a valid OpenPGP message that can, among other things, be inspected using `sq packet dump`.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--dump-session-key
    Print the session key to stderr

--output=FILE
    Write to FILE or stdout if omitted

    [default: -]

--recipient-file=KEY_FILE
    Decrypt the message using the key in KEY_FILE

--session-key=SESSION-KEY
    Decrypt an encrypted message using SESSION-KEY

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Unwrap the encryption revealing the signed message.

    sq packet decrypt --recipient-file bob-secret.pgp message.pgp

SEE ALSO
sq(1), sq-packet(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.40.0 (sequoia-openpgp 1.21.2)